commit 91137228f83965df4c1465c4ad7bd2f4b28b029c
Author: freddy77 <freddy77>
Date:   Tue Sep 9 14:54:10 2008 +0000

    be coherent about constants

diff --git a/ChangeLog b/ChangeLog
index 3fc6720..61376aa 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Sep 09 16:53:54 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/sql2tds.c: be coherent about constants
+
 Tue Sep 09 16:41:08 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/unittests/common.c src/dblib/unittests/common.c:
 	* src/odbc/unittests/common.c src/tds/unittests/common.c:
@@ -620,4 +623,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2602 2008/09/09 14:48:02 freddy77 Exp $
+$Id: ChangeLog,v 1.2603 2008/09/09 14:54:10 freddy77 Exp $
diff --git a/src/odbc/sql2tds.c b/src/odbc/sql2tds.c
index 23b216e..af04ae2 100644
--- a/src/odbc/sql2tds.c
+++ b/src/odbc/sql2tds.c
@@ -52,7 +52,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sql2tds.c,v 1.71 2008/09/04 06:43:48 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sql2tds.c,v 1.72 2008/09/09 14:54:12 freddy77 Exp $");
 
 static TDS_INT
 convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
@@ -205,7 +205,7 @@ sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _drecord
 
 	/* we have no data to convert, just return */
 	if (!compute_row)
-		return TDS_SUCCEED;
+		return SQL_SUCCESS;
 
 	src = drec_apd->sql_desc_data_ptr;
 	if (src && n_row) {
@@ -297,7 +297,7 @@ sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _drecord
 	assert(drec_ipd->sql_desc_parameter_type != SQL_PARAM_OUTPUT || sql_len == SQL_NULL_DATA);
 	if (sql_len == SQL_NULL_DATA) {
 		curcol->column_cur_size = -1;
-		return TDS_SUCCEED;
+		return SQL_SUCCESS;
 	}
 
 	if (!src) {

